All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.servlet.tbeans.html
Class AppliedFilters

    com.sas.servlet.tbeans.html.AppliedFilters

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ComplexStyleInterface, AppliedFiltersStyleKeysInterface, RenderableInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    @SubjectToChange
    public class AppliedFilters

implements ComplexStyleInterface, AppliedFiltersStyleKeysInterface

The AppliedFilters is a TransformationBean™ that generates the appropriate HTML 4.0 to represent the filters applied to the given model.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

See Also:
  Serialized Form

Field Summary
`static boolean` | `IGNORE_ANCESTOR_STEP_FILTERS` Indicates if step filters parents of the specified model should be reported.
`static java.lang.String` | `RB_KEY`
`static int` | `TITLE_ALWAYS`
`static int` | `TITLE_NEVER`
`static int` | `TITLE_WHEN_FILTERS`

Fields inherited from interface com.sas.servlet.tbeans.html.AppliedFiltersStyleKeysInterface
`APPLIEDFILTERS_DIV, APPLIEDFILTERS_FILTER_EXPRESSION, APPLIEDFILTERS_LABEL, APPLIEDFILTERS_LOGICAL_OPERATOR, APPLIEDFILTERS_TITLE`

Constructor Summary
`AppliedFilters()` Constructs a new AppliedFilter Transformation Bean
`AppliedFilters(java.lang.String id)` Constructs a new AppliedFilter Transformation Bean with the specified id.

Method Summary
`java.lang.String` | `getAppliedFilters(java.lang.Object filterModel)` Returns a String representation of the filters applied to the model.
`java.lang.String` | `getConditionFormatType()` Returns AppliedFiltersUtil.CONDITION_FORMAT_SYMBOL if conditions should be written out as symbols, or AppliedFiltersUtil.CONDITION_FORMAT_TEXT if conditions should be written out as words.
`java.util.Map` | `getCustomFormatMap()` Returns a Map containing custom formats used to format filter expressions.
`java.lang.String` | `getLabelSeparator()`
`java.lang.Object` | `getModel()` Return the model for the AppliedFilters.
`java.lang.String` | `getNoAppliedFiltersText()` Returns the text that is displayed if no filters are applied to the model and `noFilterTextDisplayed` is true.
`java.lang.String` | `getOLAPFilterOutputType()` Returns a constant that determines the type of OLAP filters that will be described by this AppliedFilters object.
`com.sas.util.transforms.TransformInterface` | `getRelationalFilterTextTransform()` Returns the TransformInterface object used to transform text returned from AppliedFiltersUtil.getRelationalFilters method.
`java.text.Format` | `getRelationalFilterValueFormatter()` Returns the Format object used to format relational filter values.
`java.util.Map` | `getStyleMap()` Returns the component styles used for this component.
`java.lang.String` | `getTitle()` Returns the title.
`int` | `getTitleDisplayed()` Determines if the title should be written out.
`boolean` | `isDisplayHiddenOLAPFilterItems()` Returns true if applied hidden OLAP FilterItems should be displayed.
`boolean` | `isFullyQualifyOLAPMembers()` Returns true if OLAP members are displayed fully qualified.
`boolean` | `isNoFilterTextDisplayed()` Indicates if the value of `noFilterText` is displayed when no filters have been applied to the model.
`boolean` | `isParentFiltersDisplayed()` Returns true if the filters of the parent model should be displayed, false otherwise.
`boolean` | `isTextWrapped()` Returns true if relational filters should be written out concatenated together with the text wrapped or false if they should be written out indented and formatted to represent the grouping of the filters.
`void` | `setConditionFormatType(java.lang.String conditionFormatType)` If conditions should be written out as symbols then `conditionFormatType` should be set to AppliedFiltersUtil.CONDITION_FORMAT_SYMBOL.
`void` | `setCustomFormatMap(java.util.Map customFormats)` Sets a Map that contains custom string formats to format filter expressions.
`void` | `setDisplayHiddenOLAPFilterItems(boolean displayHiddenOLAPFilterItems)` Determines if applied OLAP FilterItems that are hidden should be displayed.
`void` | `setFullyQualifyOLAPMembers(boolean fullyQualifyOLAPMembers)` Determines if OLAP members are displayed fully qualified.
`void` | `setLabelSeparator(java.lang.String labelSeparator)`
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets the locale dependent properties.
`void` | `setModel(java.lang.Object model)` Sets the model for the AppliedFilter.
`void` | `setNoAppliedFiltersText(java.lang.String noFilterText)` Sets the text that is displayed if no filters are applied to the model and `noFilterTextDisplayed` is true.
`void` | `setNoFilterTextDisplayed(boolean isNoFilterTextDisplayed)` Indicates if the value of `noFilterText` is displayed when no filters have been applied to the model.
`void` | `setOLAPFilterOutputType(java.lang.String olapFilterOutputType)` Sets a constant that determines the type of OLAP filters that will be described by this AppliedFilters object.
`void` | `setParentFiltersDisplayed(boolean parentFiltersDisplayed)` Determines if the filters from the model's parents are displayed.
`void` | `setRelationalFilterTextTransform(com.sas.util.transforms.TransformInterface transform)` Specifies the TransformInterface object used to transform text returned from AppliedFiltersUtil.getRelationalFilters method.
`void` | `setRelationalFilterValueFormatter(java.text.Format formatter)` Specifies the Format object to use to format relational filter values.
`void` | `setTextWrapped(boolean textWrapped)` Determines if relational filters should be written out concatenated together with the text wrapped or if they should be indented and formatted to represent the grouping of the filters.
`void` | `setTitle(java.lang.String title)` Sets the title.
`void` | `setTitleDisplayed(int isTitleDisplayed)` If true then the title is written out prior to the applied filters.
`void` | `write(java.io.PrintWriter out)` Writes the transformed representation of the AppliedFilters object.

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### TITLE_ALWAYS

    public static final int TITLE_ALWAYS

See Also:
  Constant Field Values

### TITLE_NEVER

    public static final int TITLE_NEVER

See Also:
  Constant Field Values

### TITLE_WHEN_FILTERS

    public static final int TITLE_WHEN_FILTERS

See Also:
  Constant Field Values

### IGNORE_ANCESTOR_STEP_FILTERS

    public static boolean IGNORE_ANCESTOR_STEP_FILTERS

  Indicates if step filters parents of the specified model should be reported. Default is false.

Constructor Detail

### AppliedFilters

    public AppliedFilters()

  Constructs a new AppliedFilter Transformation Bean

### AppliedFilters

    public AppliedFilters(java.lang.String id)

  Constructs a new AppliedFilter Transformation Bean with the specified id.

Method Detail

### getModel

    public java.lang.Object getModel()

  Return the model for the AppliedFilters. Returns null if not set.

  Returns:
    the model for the AppliedFilters component

### setModel

    public void setModel(java.lang.Object model)

  Sets the model for the AppliedFilter. The model should be set before calling the write methods.

  The AppliedFilters component will write out filters applied to a com.sas.iquery.metadata.business.DataSelection or a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface.

  Parameters:
    `model` - the model for the AppliedFilter component

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title. The title is written out before the applied filters if the `titleDisplayed` property is true.

  Parameters:
    `title` - the String to be written out prior to the filters when the `titleDisplayed` property is true
  See Also:
    `getTitle()`, `setTitleDisplayed(int)`

### getTitle

    public java.lang.String getTitle()

  Returns the title. This is written out before the applied filters if the `titleDisplayed` property is true.

  Returns:
    the title
  See Also:
    `setTitle(java.lang.String)`

### setTitleDisplayed

    public void setTitleDisplayed(int isTitleDisplayed)

  If true then the title is written out prior to the applied filters. If false, then no title is written out.

  Parameters:
    `isTitleDisplayed` - true if the title should be written out, false otherwise
  See Also:
    `#isTitleDiplayed`, `setTitle(java.lang.String)`

### getTitleDisplayed

    public int getTitleDisplayed()

  Determines if the title should be written out. If true then the title is written out prior to the applied filters. If false, then no title is written out.

  Returns:
    a boolean value indicating if the title should be written out
  See Also:
    `setTitleDisplayed(int)`, `getTitle()`

### setNoAppliedFiltersText

    public void setNoAppliedFiltersText(java.lang.String noFilterText)

  Sets the text that is displayed if no filters are applied to the model and `noFilterTextDisplayed` is true. The default value is "None".

  Parameters:
    `noFilterText` - the text that is displayed if no filters are applied to the model and `noFilterTextDisplayed` is true
  See Also:
    `getNoAppliedFiltersText()`

### getNoAppliedFiltersText

    public java.lang.String getNoAppliedFiltersText()

  Returns the text that is displayed if no filters are applied to the model and `noFilterTextDisplayed` is true. The default value is "None".

  Returns:
    the text that is displayed if no filters are applied to the model and `noFilterTextDisplayed` is true.
  See Also:
    `setNoAppliedFiltersText(java.lang.String)`

### setNoFilterTextDisplayed

    public void setNoFilterTextDisplayed(boolean isNoFilterTextDisplayed)

  Indicates if the value of `noFilterText` is displayed when no filters have been applied to the model. No text is displayed if `isNoFilterTextDisplayed` is false. If set to true, the the value of `noFilterText` is displayed.

  See Also:
    `isNoFilterTextDisplayed`, `setNoAppliedFiltersText(java.lang.String)`

### isNoFilterTextDisplayed

    public boolean isNoFilterTextDisplayed()

  Indicates if the value of `noFilterText` is displayed when no filters have been applied to the model. No text is displayed is the value is false. If true, value of `noFilterText` is displayed.

  Returns:
    true if the value of `noFilterText` is displayed when no filters have been applied, false if no text is displayed.
  See Also:
    `setNoFilterTextDisplayed(boolean)`

### setTextWrapped

    public void setTextWrapped(boolean textWrapped)

  Determines if relational filters should be written out concatenated together with the text wrapped or if they should be indented and formatted to represent the grouping of the filters.

  Parameters:
    `textWrapped` - true if relational filters should be written out wrapped, false if they should be formatted to represent groupings
  See Also:
    `isTextWrapped()`

### isTextWrapped

    public boolean isTextWrapped()

  Returns true if relational filters should be written out concatenated together with the text wrapped or false if they should be written out indented and formatted to represent the grouping of the filters.

  Returns:
    true if relational filters should be written out wrapped, false if they should be formatted to represent groupings
  See Also:
    `setTextWrapped(boolean)`

### setParentFiltersDisplayed

    public void setParentFiltersDisplayed(boolean parentFiltersDisplayed)

  Determines if the filters from the model's parents are displayed.

  Parameters:
    `parentFiltersDisplayed` - true if the filters of the parent model should be displayed, false otherwise
  See Also:
    `isParentFiltersDisplayed()`

### isParentFiltersDisplayed

    public boolean isParentFiltersDisplayed()

  Returns true if the filters of the parent model should be displayed, false otherwise.

  Returns:
    true if true if the filters of the parent model should be displayed, false otherwise
  See Also:
    `setParentFiltersDisplayed(boolean)`

### setConditionFormatType

    public void setConditionFormatType(java.lang.String conditionFormatType)

  If conditions should be written out as symbols then `conditionFormatType` should be set to AppliedFiltersUtil.CONDITION_FORMAT_SYMBOL. If conditions should be written out as words then `conditionFormatType` should be set to AppliedFiltersUtil.CONDITION_FORMAT_TEXT.

  Valid values are AppliedFiltersUtil.CONDITION_FORMAT_SYMBOL or AppliedFiltersUtil.CONDITION_FORMAT_TEXT. An IllegalArgumentException is thrown if `conditionFormatType` is not one of these values.

  Parameters:
    `conditionFormatType` - a String constant indicating if filter condtions should be written out as symbols or words
  See Also:
    `getConditionFormatType()`

### getConditionFormatType

    public java.lang.String getConditionFormatType()

  Returns AppliedFiltersUtil.CONDITION_FORMAT_SYMBOL if conditions should be written out as symbols, or AppliedFiltersUtil.CONDITION_FORMAT_TEXT if conditions should be written out as words.

  Returns:
    a String constant indicating if filter condtions should be written out as symbols or words
  See Also:
    `setConditionFormatType(java.lang.String)`

### setLabelSeparator

    public void setLabelSeparator(java.lang.String labelSeparator)

### getLabelSeparator

    public java.lang.String getLabelSeparator()

### setCustomFormatMap

    public void setCustomFormatMap(java.util.Map customFormats)

  Sets a Map that contains custom string formats to format filter expressions. The keys in the specified `customFormats` Map should be one of the format keys found in com.sas.swing.models.AppliedFiltersUtil. The values to these keys should be String formats that will be used to format the filter expression using the java.text.MessageFormat class.

  The default formats used are dependant on the value of the conditionFormatType property.

  Parameters:
    `customFormats` - Map containing custom formats used to format filter expressions
  See Also:
    `getCustomFormatMap()`

### getCustomFormatMap

    public java.util.Map getCustomFormatMap()

  Returns a Map containing custom formats used to format filter expressions.

  Returns:
    a Map containing custom formats used to format filter expressions.
  See Also:
    `setCustomFormatMap(java.util.Map)`

### getRelationalFilterValueFormatter

    public java.text.Format getRelationalFilterValueFormatter()

  Returns the Format object used to format relational filter values.

  Returns:
    the Format object used to format relational filter values
  See Also:
    `setRelationalFilterValueFormatter(java.text.Format)`

### setRelationalFilterValueFormatter

    public void setRelationalFilterValueFormatter(java.text.Format formatter)

  Specifies the Format object to use to format relational filter values. The default Format used is a com.sas.dataselecotrs.filters.FilterValueFormatter, defined to not display unformatted values.

  Parameters:
    `formatter` - the Format object used to format relational filter values
  See Also:
    `getRelationalFilterValueFormatter()`, `FilterValueFormatter.getInstance(Locale, boolean)`

### getRelationalFilterTextTransform

    public com.sas.util.transforms.TransformInterface getRelationalFilterTextTransform()

  Returns the TransformInterface object used to transform text returned from AppliedFiltersUtil.getRelationalFilters method.

  Returns:
    the TransformInterface object used to transform relational filter text
  See Also:
    `setRelationalFilterTextTransform(com.sas.util.transforms.TransformInterface)`

### setRelationalFilterTextTransform

    public void setRelationalFilterTextTransform(com.sas.util.transforms.TransformInterface transform)

  Specifies the TransformInterface object used to transform text returned from AppliedFiltersUtil.getRelationalFilters method.

  Parameters:
    `transform` - the TransformInterface object used to transform relational filter text
  See Also:
    `getRelationalFilterTextTransform()`

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the transformed representation of the AppliedFilters object.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### getAppliedFilters

    public java.lang.String getAppliedFilters(java.lang.Object filterModel)

  Returns a String representation of the filters applied to the model.

  Returns:
    a String representation of the filters applied to the model.

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `BaseTransformation`
  Sets the locale dependent properties. Not operational at this level.

  Overrides:
    `setLocaleDependentProperties` in class `BaseTransformation`

### getStyleMap

    public java.util.Map getStyleMap()

  Returns the component styles used for this component.

  Specified by:
    `getStyleMap` in interface `ComplexStyleInterface`
  Returns:
    a map of styles used for this component

### isDisplayHiddenOLAPFilterItems

    public boolean isDisplayHiddenOLAPFilterItems()

  Returns true if applied hidden OLAP FilterItems should be displayed. The value is true by default, indicating applied hidden OLAP FilterItems are displayed.

### setDisplayHiddenOLAPFilterItems

    public void setDisplayHiddenOLAPFilterItems(boolean displayHiddenOLAPFilterItems)

  Determines if applied OLAP FilterItems that are hidden should be displayed. The value is true by default, indicating applied hidden OLAP FilterItems are displayed.

  Parameters:
    `displayHiddenOLAPFilterItems` - whether applied hidden OLAP FilterItems are displayed

### isFullyQualifyOLAPMembers

    public boolean isFullyQualifyOLAPMembers()

  Returns true if OLAP members are displayed fully qualified. The value is true by default, indicating OLAP members are displayed fully qualified.

### setFullyQualifyOLAPMembers

    public void setFullyQualifyOLAPMembers(boolean fullyQualifyOLAPMembers)

  Determines if OLAP members are displayed fully qualified. The value is true by default, indicating if OLAP members are displayed fully qualified.

  Parameters:
    `fullyQualifyOLAPMembers` - whether OLAP members are displayed fully qualified

### getOLAPFilterOutputType

    public java.lang.String getOLAPFilterOutputType()

  Returns a constant that determines the type of OLAP filters that will be described by this AppliedFilters object.

### setOLAPFilterOutputType

    public void setOLAPFilterOutputType(java.lang.String olapFilterOutputType)

  Sets a constant that determines the type of OLAP filters that will be described by this AppliedFilters object. The value is AppliedFiltersUtil.OLAPFILTERS_ALL by default, indicating all applied OLAP filters will be described

  Parameters:
    `olapFilterOutputType` - constant indicating what type of OLAP filters will be described

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.